-- Listing 9.1 Using char and varchar
CREATE TABLE tblCustomers
(
strCustID char(8) NOT NULL,
strCustName varchar(30) NOT NULL,
strEmail varchar(50) NULL
)



-- Listing 9.2 Using Numeric Data Types
CREATE TABLE tblGold
(
decAtomicWeight decimal(8,4),
numMolesPerOunce numeric(12,6),
numDensity numeric(5,4)
)



-- To create user-defined data types using SQL Server, use the sp_addtype 
-- system-stored procedure. 
EXEC sp_addtype strEmpID, 'char(9)', 'NULL'
EXEC sp_addtype strID, 'varchar(11)', 'NULL'
EXEC sp_addtype strTID, 'varchar(6)', 'NULL'


-- After you have declared a user-defined data type, 
-- you can use it as many timesoften as you like in your database. 
CREATE TABLE tblEmployee
(
strEmployeeId strEmpID NOT NULL,
strFname char(15) NOT NULL,
strLname char(20) NOT NULL,
strPensionPlan strID NOT NULL
)



-- You can run the sp_droptype system-stored procedure to remove a UDT
EXEC sp_droptype strEmpID


-- Now, consider some examples using computed columns:
CREATE TABLE tblOrder (
lngOrdID int NOT NULL,
curPrice money NOT NULL,
intQty smallint NOT NULL,
curTotal AS curPrice * intQty
)


CREATE TABLE tblPrintInvoice (
lngInvoiceID int NOT NULL,
dtInvDate datetime NOT NULL,
dtPrintDate AS DateAdd(day,30, InvDate)
)



-- Listing 9.3 Creating a Table
CREATE TABLE tblEmployee
(
bytEmp_id tinyint IDENTITY NOT NULL,
strFname char(15),
strLname char(20) NOT NULL,
strAddress1 varchar(30),
strAddress2 varchar(30),
strCity varchar(30),
strState char(2),
strZipCode char(10),
dtStartDate datetime
)



-- To drop a table by using Transact-SQL, run the DROP TABLE statement. 
DROP TABLE tblEmployees



