-- You can verify that the snapshot agent has performed its duties 
-- appropriately and that the database schema and data were copied 
-- by using queries to view data in the new table. To view the data, 
-- run the following query in the Query Analyzer:
--
USE rplPubs
GO
SELECT * FROM authors
GO



-- The first query determines how many rows are in the authors table:
--
SELECT COUNT(*) FROM pubs..authors
GO



-- Check this outcome against the count in your other table by 
-- modifying your query slightly and then rerunning it:
--
SELECT COUNT(*) FROM rplPubs..authors
GO



-- Now add a row to your table by running the following query:
--
]USE pubs
GO
INSERT INTO authors VALUES
('555-55-5555', 'Johnson', 'Susan', '555 555-5555',
'123 Anystreet', 'Fresno', 'CA', '90000', '1')
GO


-- To double-check that the data was brought over, run the following query:
--
SELECT * FROM rplPubs..authors
WHERE au_lname = 'Johnson'
GO




-- Run the following query to delete the Susan Johnson record 
-- from the pubs..authors table:
--
DELETE FROM pubs..authors
WHERE au_lname = 'Johnson'
GO



